"use strict";
/**
 * @desc 表格空状态组件样式
 * @author 段奥
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const bg_empty_png_1 = __importDefault(require("../../../assets/bg-empty.png"));
const emptyStyle = styled_components_1.css `
  .ag-theme-alpine {
    .ag-overlay-no-rows-wrapper {
      display: flex !important;
      align-items: center;
      justify-content: center;

      height: 100%;
      margin-top: 2px;
      &.ag-layout-auto-height {
        padding-top: 30px;
      }
      .ag-overlay-no-rows-center {
        display: flex;
        align-items: center;
        justify-content: center;

        height: 100%;
        .no-data-icon {
          width: 36px;
          height: 24px;

          background: url(${bg_empty_png_1.default}) no-repeat center center/100% 100%;
        }
        .no-data-desc {
          color: ${({ theme }) => theme.text.tertiary};
          margin-left: 8px;

          font-size: 14px;
          line-height: 20px;
        }
      }
    }
  }
`;
const EmptyStyle = styled_components_1.createGlobalStyle `${emptyStyle}`;
exports.default = EmptyStyle;
