"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const bg_empty_png_1 = __importDefault(require("../../../assets/bg-empty.png"));
const icon_info_loading_svg_1 = __importDefault(require("../../../assets/icon-info-loading.svg"));
const loadingStyle = styled_components_1.css `
  .ag-theme-alpine {
    .ag-overlay-loading-wrapper {
      background-color: transparent !important;
    }
    .ag-overlay-loading-center {
      display: flex;
      align-items: center;
      justify-content: center;
      background-color: ${({ theme }) => theme.agGrid.odd.bg};

      height: 100%;
      // 框架顶部有16px的边距
      padding: 0px !important;

      border: none;
      box-shadow: none;

      &.no-data {
        background-color: transparent !important;

        .loading-desc {
          color: ${({ theme }) => theme.text.tertiary};
        }
      }

      .loading-icon {
        width: 36px;
        height: 24px;

        transform: rotate(45deg);
        animation: antRotate 1.2s infinite linear;

        background: url(${icon_info_loading_svg_1.default}) no-repeat center center/100% 100%;
      }
      .loading-desc {
        color: ${({ theme }) => theme.text.secondary};
        margin-left: 8px;

        font-size: 14px;
        line-height: 20px;
      }
      .no-data-icon {
        width: 36px;
        height: 24px;

        background: url(${bg_empty_png_1.default}) no-repeat center center/100% 100%;
      }
    }
  }
`;
const LoadingStyle = styled_components_1.createGlobalStyle `${loadingStyle}`;
exports.default = LoadingStyle;
